module.exports = {
  parser: 'babel-eslint',
  env: {
    es6: true,
    node: true,
  },
  extends: [
    'airbnb-base',
  ],
  globals: {
    Atomics: 'readonly',
    SharedArrayBuffer: 'readonly',
  },
  parserOptions: {
    ecmaVersion: 2018,
    sourceType: 'module',
  },
  rules: {
    'no-console': 0,
    'no-new': 0,
    'no-underscore-dangle': 0,
    'import/prefer-default-export': 0,
    'import/no-named-as-default': 0,
    'import/no-named-as-default-member': 0,
    'import/no-cycle': 0,
    'no-return-await': 0,
    'prefer-spread': 0,
    'camelcase': 0,
    // TODO: Remove when is https://github.com/babel/babel-eslint/issues/530 fixed
    "template-curly-spacing" : "off",
  },
};
